Package org.apache.cayenne.access.types

# Class UtilDateType

java.lang.Object
org.apache.cayenne.access.types.UtilDateType

All Implemented Interfaces:
  `ExtendedType<Date>`

Direct Known Subclasses:
  `OracleUtilDateType`

public class UtilDateType extends Object implements ExtendedType<Date>
Maps `java.util.Date` to any of the three database date/time types: TIME, DATE, TIMESTAMP.

- ## Field Summary

  ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

  `TRIM_VALUES_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UtilDateType()`
  `UtilDateType(boolean useCalendar)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns "java.util.Date".
  `Date`
  `materializeObject(CallableStatement cs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Date`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `void`
  `setJdbcObject(PreparedStatement statement, Date value, int pos, int type, int scale)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Date value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UtilDateType

    public UtilDateType()
    Since:
      4.2

  - ### UtilDateType

    public UtilDateType(boolean useCalendar)
    Since:
      4.2

- ## Method Details

  - ### getClassName

    public String getClassName()
    Returns "java.util.Date".
    Specified by:
      `getClassName` in interface `ExtendedType<Date>`

  - ### materializeObject

    public Date materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Date>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Date materializeObject(CallableStatement cs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Date>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement statement, Date value, int pos, int type, int scale) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<Date>`
    Throws:
      `Exception`

  - ### toString

    public String toString(Date value)
    Description copied from interface: `ExtendedType`
    Converts value of the supported type to a human-readable String representation.
    Specified by:
      `toString` in interface `ExtendedType<Date>`
    Parameters:
      `value` - a value to convert to String.